import java.util.*;

public class TestArray 
{
	private int [] A;
    int size;	

	//constructor
	public TestArray(int n)
	{
		A = new int[n];
		size = n;
	}
	
	public void set(int position, int value){
	    if (position < size && position >=0) 
	      {  
	          A[position] = value;
	      }
	}
	
	// reverse
	public void reverse(){
	  for (int i=0; i<size/2;i++)
	    {  int temp = A[i];
	       A[i] = A[size-i-1];   // A[0] = A[n-1]   A[1] = A[n-2]
	       A[size-i-1]=temp;
	    }
	
	}
	
	//  remove at position i
	public void remove(int i){
	   for (int j=i; j<size-1; j++)
	      A[j] = A[j+1];
	   size = size-1;
	}
	// insert to postion i
	public void insert(int position, int value){
	  for (int j=size; j>position; j--)  
	      A[j] = A[j-1];
	  A[position]= value;
	
	}
	
	// string representation of the object
	public String toString()
	{
		String res="{";
		
		for(int i = 0; i < size-1; i++)
			res +=  A[i] + ", ";
			
		res += A[A.length-1] + "}";
		return res;
	}
}