/**
 *
 *	The class models a Stock object
 *	
 *	Name:
 *	Course:
 *	Section: 
 *  Last Modified:
 *  Known Bugs:
 */

import java.io.*;

public class Stock {
    // identify Stock instance variables
    double [] A = new double[365];
    double currentPrice;
    int tradingDays;
    // Default constructor set up an empty Stock object
   
    // Second constructor (with parameters)accepts a File of stock prices as input and read the file into the array.
     public Stock(String fileName){
       FileInput myFile = new FileInput(fileName);
	   tradingDays = 0;
	   while (!myFile.eof())
	     { String temp = myFile.getString();
	       int k = temp.indexOf(" ");	
	       String date = temp.substring(0,k-1);
	       
	       String next = temp.substring(k);
	       next = next.trim();
	       k = next.indexOf(" ");	
	       String hi = next.substring(0,k-1);
	       
	       next = next.substring(k);
	       next = next.trim();
	       k = next.indexOf(" ");	
	       String lo = next.substring(0,k-1);
	       
	       next = next.substring(k);
	       next = next.trim();
	       k = next.indexOf(" ");	
	       String closingPrice = next.substring(0,k-1);
	       
	       double price = Double.parseDouble(closingPrice);
	       A[tradingDays++] = price;
	     }
	     currentPrice = A[tradingDays-1];
	     
     }
    // sort Sorts the array of numbers in ascending order (code given)
    public void sort(){
       for (int i=0; i<tradingDays-1; i++)
         for (int j=0; j<tradingDays-i-1; j++)
            if (A[j] > A[j+1])
              { double temp = A[j];
                A[j] = A[j+1];
                A[j+1] = temp;
              }    
    }
    // max  Returns the maximum closing stock price for the year
    public double max(){
       double maximum = A[0];
       for (int i=0; i<tradingDays; i++)
         if (A[i] > maximum)  maximum = A[i];
       return maximum;
    }   
    // min  Returns the minimum closing stock price for the year
    public double min(){
       double minimum = A[0];
       for (int i=0; i<tradingDays; i++)
         if (A[i] < minimum) minimum = A[i];
       return minimum;
    }   
    // mean Returns the mean closing stock price for the year
     public double average(){
       double sum = 0;
       for (int i=0; i<tradingDays; i++)
         sum += A[i];
       return (sum/tradingDays);
    }   
    // median Returns the median closing stock price for the year
     public double median(){
        sort();
        if (tradingDays%2==0)
           return (A[tradingDays/2]+A[tradingDays/2-1])/2;
        else
           return A[tradingDays/2];
    }   

    // ROI compute the return on investment return a percentage as a double (+ or -)
    public double ROI(){
         return ((A[0]-A[tradingDays-1])/A[0]*100);
    }
    // print the list
    public void print(){
      for (int i=0; i<tradingDays; i++)
        System.out.println(A[i]+ " ");
      System.out.println();
    } 
    // complete the method that will return the number of days the stock was 
    // higher than a particular price
    public int daysAbovePrice(double price){
    
    
    }   
    // complete the method that will return the number of days the stock was 
    // below a particular price
    public int daysBelowPrice(double price){
    
    
    } 
    /// return the greatest percent change in stock in two consequent days
    public double highestVolatility(){
    
    
    }
    // print the date of the highest price in standard notation
    // eg: 08/10/99 is printed as August 10, 1999
    public void printMaxDate(){
    
    
    }   
}